## org.pentaho.reporting.libraries.formula.lvalues
Class PostfixTerm

    java.lang.Object
      org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue
          org.pentaho.reporting.libraries.formula.lvalues.PostfixTerm

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LValue

    public class PostfixTerm

extends AbstractLValue

Creation-Date: 02.11.2006, 10:20:27

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`PostfixTerm(LValue value, PostfixOperator operator)`

Method Summary
`java.lang.Object` `clone()`
`TypeValuePair` `evaluate()`
`LValue[]` `getChildValues()` Returns any dependent lvalues (parameters and operands, mostly).
`PostfixOperator` `getOperator()`
`LValue` `getValue()`
`boolean` `isConstant()` Checks whether the LValue is constant.
`java.lang.String` `toString()`

Methods inherited from class org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue
`getContext, getParsePosition, getValueType, initialize, setParsePosition`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostfixTerm

    public PostfixTerm(LValue value,
                       PostfixOperator operator)

Method Detail

### getOperator

    public PostfixOperator getOperator()

### getValue

    public LValue getValue()

### evaluate

    public TypeValuePair evaluate()
                           throws EvaluationException

  Throws:
    `EvaluationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isConstant

    public boolean isConstant()

  Checks whether the LValue is constant. Constant lvalues always return the same value.

  Returns:

### getChildValues

    public LValue[] getChildValues()

  Returns any dependent lvalues (parameters and operands, mostly).

  Specified by:
    `getChildValues` in interface `LValue`
  Overrides:
    `getChildValues` in class `AbstractLValue`
  Returns:

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in interface `LValue`
  Overrides:
    `clone` in class `AbstractLValue`
  Throws:
    `java.lang.CloneNotSupportedException`